extends Node
class_name DragonLibrary


var dragons: Array[DragonProperties] = []


func has(properties: DragonProperties) -> bool:
	for dragon in dragons:
		if properties.equals(dragon):
			return true
	return false


func add_dragon(properties: DragonProperties) -> int:
	if properties.id == 0:
		properties.id = randi()
	dragons.push_back(properties)
	return properties.id


func add_dragons(new_dragons: Array[DragonProperties]) -> void:
	for d in new_dragons:
		dragons.push_back(d)
